Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.manage
Class AbstractManagementConfiguration

    java.lang.Object
      |
      +--kodo.manage.AbstractManagementConfiguration

All Implemented Interfaces:
  Configurable, ManagementConfiguration

Direct Known Subclasses:
  ManagementConfigurationManagement, ManagementConfigurationNone, ManagementConfigurationProfiling

public abstract class AbstractManagementConfiguration
extends Object
implements ManagementConfiguration

Abstract class that allows for easy configuration of the management and profiling capabilities. This makes it especially easy to configure the common configurations: - No management - Remote management - Local management On a different axis is profiling config. - None - Local GUI - Local export - Remote via JMX Subclasses might include: - none - No management, no profiling - profiling-gui - No management, local GUI profiling - profiling-export - No management, local export profiling - remote-mgmt - Remote management, no profiling - remote-mgmt-prof - Remote management, jmx profiling - remote-mgmt-export - Remote management, local export profiling - local-mgmt - Local management, no profiling - local-mgmt-prof - Local management, jmx profiling - local-mgmt-export - Local management, local export profiling The configuration should cover: - MBeanServerStrategy - Remote JMX Adaptor Plugin - JMX Interface Plugin - MBean Plugins - Profiling Agent Plugin - Profiling Interface Plugin - Profiling Helper Plugin

Field Summary
`protected Configuration` | `_conf`
`protected Collection` | `_plugins`

Constructor Summary
`AbstractManagementConfiguration()`

Method Summary
`void` | `closeManagement()`
`void` | `closeProfiling()`
`void` | `endConfiguration()` Invoked upon completion of bean property configuration for this object.
`com.solarmetric.profile.ExecutionContextNameProvider` | `getExecutionContextNameProvider()`
`com.solarmetric.manage.jmx.MBeanProvider[]` | `getMBeanPlugins()`
`javax.management.MBeanServer` | `getMBeanServer()`
`Collection` | `getPlugins()`
`kodo.profile.KodoProfilingAgent` | `getProfilingAgent()`
`void` | `initManagement(javax.management.MBeanServer mbeanServer)`
`void` | `initProfiling(kodo.profile.KodoProfilingAgent agent)`
`void` | `setConfiguration(Configuration conf)` Invoked prior to setting bean properties.
`void` | `startConfiguration()` Invoked before bean property configuration is begun on this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _conf

    protected Configuration _conf

### _plugins

    protected Collection _plugins

Constructor Detail

### AbstractManagementConfiguration

    public AbstractManagementConfiguration()

Method Detail

### setConfiguration

    public void setConfiguration(Configuration conf)

  Description copied from interface: `Configurable`
  Invoked prior to setting bean properties.
  Specified by:
    `setConfiguration` in interface `Configurable`

### startConfiguration

    public void startConfiguration()

  Description copied from interface: `Configurable`
  Invoked before bean property configuration is begun on this object.
  Specified by:
    `startConfiguration` in interface `Configurable`

### endConfiguration

    public void endConfiguration()

  Description copied from interface: `Configurable`
  Invoked upon completion of bean property configuration for this object.
  Specified by:
    `endConfiguration` in interface `Configurable`

### getPlugins

    public Collection getPlugins()

### getMBeanServer

    public javax.management.MBeanServer getMBeanServer()

  Specified by:
    `getMBeanServer` in interface `ManagementConfiguration`

### initManagement

    public void initManagement(javax.management.MBeanServer mbeanServer)
                        throws Exception

  Specified by:
    `initManagement` in interface `ManagementConfiguration`

### closeManagement

    public void closeManagement()

  Specified by:
    `closeManagement` in interface `ManagementConfiguration`

### getMBeanPlugins

    public com.solarmetric.manage.jmx.MBeanProvider[] getMBeanPlugins()

  Specified by:
    `getMBeanPlugins` in interface `ManagementConfiguration`

### getProfilingAgent

    public kodo.profile.KodoProfilingAgent getProfilingAgent()

  Specified by:
    `getProfilingAgent` in interface `ManagementConfiguration`

### initProfiling

    public void initProfiling(kodo.profile.KodoProfilingAgent agent)

  Specified by:
    `initProfiling` in interface `ManagementConfiguration`

### closeProfiling

    public void closeProfiling()

  Specified by:
    `closeProfiling` in interface `ManagementConfiguration`

### getExecutionContextNameProvider

    public com.solarmetric.profile.ExecutionContextNameProvider getExecutionContextNameProvider()

  Specified by:
    `getExecutionContextNameProvider` in interface `ManagementConfiguration`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.